Lamha
Api Home
Home
Api Home
Home
  1. Webhook
  • lamha
    • Welcome 👋
    • Status Order
    • Payment Method
    • Webhook Order
    • Rate Limit
    • API
      • Order
        • Orders List
        • Order Create
        • Order Show
        • Order Activities
        • Order Edit
        • Delete Order
        • Cancel Order
        • Return Order
      • Country
        • Countries
        • City
      • Carrier
        • Carriers
        • Create Shippment
        • Cancel Shippment
        • Label Shipment
        • Carrier City Coverage
        • Carrier Coverage
      • Warehouses
        • All Warehouses
      • Webhook
        • Webhooks Events
        • List webhooks
          GET
        • Register a webhook
          POST
    • security
      • Webhook For Nginx
  • Schemas
    • Payload Webhook Order Update
  1. Webhook

Register a webhook

Developing
POST
https://app.lamha.sa/api/v2/webhooks

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.lamha.sa/api/v2/webhooks' \
--header 'X-LAMHA-TOKEN: {{token}}' \
--header 'Content-Type: application/json' \
--data '{
    "event_type": "order.status.changed",
    "url": "https://your-app.com/hooks/lamha",
    "secret": "a-strong-shared-secret-min-16-chars",
    "active": true,
    "conditions": {
      "statuses": ["picked", "delivered"]
    }
  }'
Response Response Example
{
  "success": true,
  "msg": "The Webhook has been Registered",
  "data": {
    "id": 42,
    "event_type": "order.status.changed",
    "url": "https://your-app.com/hooks/lamha",
    "is_active": true,
    "created_at": "2026-09-01T10:21:27+00:00"
  },
  "created": true
}
Modified at 2026-09-01 09:19:45
Previous
List webhooks
Next
Webhook For Nginx
Built with